/**
 * @author moxhe
 * @date 207-11-13
 */
/* global fis */
var path = require('path');
var webpack = require('webpack');

const projPath = fis ? fis.project.getProjectPath() : __dirname;

module.exports = function(content, file) {
  // console.log('start build renderer');
  // console.log(`outputPath: ${path.resolve(projPath, 'dist')}`);
  webpack({
    target: 'node',
    entry: file.realpath,
    output: {
      path: path.resolve(projPath, 'dist'),
      filename: 'isomorph.node.js',
      libraryTarget: 'commonjs2'
    },
    module: {
      rules: [
        {
          test: /\.js/,
          loader: 'babel-loader'
        },
        {
          test: /\.tpl/,
          // loader: 'ejs-compiled-loader'
          loader: 'imweb-tpl-loader'
        }
      ]
    },
    resolve: {
      modules: [
        "node_modules",
        path.resolve(projPath, '../../')
      ],
      alias: {
        'jquery': 'component/common/jquery.mock'
      }
    }
  }, function(err) {
    if (err) {
      throw err;
    }

    // console.log('build renderer done');
  });

  return content;
};
